package com.dgtly.sync.service.impl;

import java.util.List;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import com.dgtly.sync.mapper.MetaEmployeeDiyMapper;
import com.dgtly.sync.domain.MetaEmployeeDiy;
import com.dgtly.sync.service.IMetaEmployeeDiyService;
import com.dgtly.common.core.text.Convert;

/**
 * 立邦雇员数据同步Service业务层处理
 * 
 * @author qxp
 * @date 2020-07-28
 */
@Service
public class MetaEmployeeDiyServiceImpl implements IMetaEmployeeDiyService 
{
    @Autowired
    private MetaEmployeeDiyMapper metaEmployeeDiyMapper;

    /**
     * 查询立邦雇员数据同步
     * 
     * @param name 立邦雇员数据同步ID
     * @return 立邦雇员数据同步
     */
    @Override
    public MetaEmployeeDiy selectMetaEmployeeDiyById(String name)
    {
        return metaEmployeeDiyMapper.selectMetaEmployeeDiyById(name);
    }

    /**
     * 查询立邦雇员数据同步列表
     * 
     * @param metaEmployeeDiy 立邦雇员数据同步
     * @return 立邦雇员数据同步
     */
    @Override
    public List<MetaEmployeeDiy> selectMetaEmployeeDiyList(MetaEmployeeDiy metaEmployeeDiy)
    {
        return metaEmployeeDiyMapper.selectMetaEmployeeDiyList(metaEmployeeDiy);
    }

    /**
     * 新增立邦雇员数据同步
     * 
     * @param metaEmployeeDiy 立邦雇员数据同步
     * @return 结果
     */
    @Override
    public int insertMetaEmployeeDiy(MetaEmployeeDiy metaEmployeeDiy)
    {
        return metaEmployeeDiyMapper.insertMetaEmployeeDiy(metaEmployeeDiy);
    }

    /**
     * 修改立邦雇员数据同步
     * 
     * @param metaEmployeeDiy 立邦雇员数据同步
     * @return 结果
     */
    @Override
    public int updateMetaEmployeeDiy(MetaEmployeeDiy metaEmployeeDiy)
    {
        return metaEmployeeDiyMapper.updateMetaEmployeeDiy(metaEmployeeDiy);
    }

    /**
     * 删除立邦雇员数据同步对象
     * 
     * @param ids 需要删除的数据ID
     * @return 结果
     */
    @Override
    public int deleteMetaEmployeeDiyByIds(String ids)
    {
        return metaEmployeeDiyMapper.deleteMetaEmployeeDiyByIds(Convert.toStrArray(ids));
    }

    /**
     * 删除立邦雇员数据同步信息
     * 
     * @param name 立邦雇员数据同步ID
     * @return 结果
     */
    @Override
    public int deleteMetaEmployeeDiyById(String name)
    {
        return metaEmployeeDiyMapper.deleteMetaEmployeeDiyById(name);
    }
}
